# Class XPathConstants

java.lang.Object
javax.xml.xpath.XPathConstants

public class XPathConstants extends Object

XPath constants.

Since:
  1.5
See Also:
  - XML Path Language (XPath) Version 1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final QName`
  `BOOLEAN`
  The XPath 1.0 boolean data type.
  `static final String`
  `DOM_OBJECT_MODEL`
  The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".
  `static final QName`
  `NODE`
  The XPath 1.0 NodeSet data type.
  `static final QName`
  `NODESET`
  The XPath 1.0 NodeSet data type.
  `static final QName`
  `NUMBER`
  The XPath 1.0 number data type.
  `static final QName`
  `STRING`
  The XPath 1.0 string data type.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NUMBER

    public static final QName NUMBER

    The XPath 1.0 number data type.

    Maps to Java `Double`.

  - ### STRING

    public static final QName STRING

    The XPath 1.0 string data type.

    Maps to Java `String`.

  - ### BOOLEAN

    public static final QName BOOLEAN

    The XPath 1.0 boolean data type.

    Maps to Java `Boolean`.

  - ### NODESET

    public static final QName NODESET

    The XPath 1.0 NodeSet data type.

    Maps to Java `NodeList`.

  - ### NODE

    public static final QName NODE

    The XPath 1.0 NodeSet data type.

    Maps to Java `Node`.

  - ### DOM_OBJECT_MODEL

    public static final String DOM_OBJECT_MODEL

    The URI for the DOM object model, "http://java.sun.com/jaxp/xpath/dom".

    See Also:
      - Constant Field Values